Oore CI
ReferenceAPIOperationsProjects

Update project

Update project

Operation IDupdate_project
PATCH
/v1/projects/{project_id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "project": {    "created_at": 0,    "created_by": "string",    "current_user_role": "maintainer",    "default_branch": "string",    "description": "string",    "id": "string",    "name": "string",    "repository_avatar_url": "string",    "repository_full_name": "string",    "repository_id": "string",    "repository_provider": null,    "settings": {},    "updated_at": 0  }}